=== modified file 'Makefile.am'
--- Makefile.am	2008-07-09 16:23:26 +0000
+++ Makefile.am	2008-07-09 19:33:54 +0000
@@ -20,7 +20,7 @@
 endif
 
 SUBDIRS =		. include \
-			sql-common vio \
+			vio \
 			strings mysys $(d_dbug) \
                         extra \
                         libdrizzle client storage plugin \

=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-07-09 16:20:31 +0000
+++ client/Makefile.am	2008-07-09 19:33:54 +0000
@@ -23,8 +23,7 @@
 
 LIBS =				@CLIENT_LIBS@ -lz
 
-LDADD=				$(top_builddir)/sql-common/libsqlcommon.la \
-				$(top_builddir)/libdrizzle/libdrizzle.la -lz
+LDADD=				$(top_builddir)/libdrizzle/libdrizzle.la -lz
 
 
 noinst_HEADERS =		sql_string.h completion_hash.h my_readline.h \

=== modified file 'libdrizzle/Makefile.am'
--- libdrizzle/Makefile.am	2008-07-09 11:56:03 +0000
+++ libdrizzle/Makefile.am	2008-07-09 19:33:54 +0000
@@ -20,6 +20,8 @@
 #
 # This file is public domain and comes with NO WARRANTY of any kind
 
+AM_CPPFLAGS =	-I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys -I$(top_builddir)/sql-common
+
 if BUILD_DBUG
   d_dbug = $(top_builddir)/dbug/libdbuglt.la
 endif
@@ -29,13 +31,16 @@
 MYSQLBASEdir=			$(prefix)
 
 pkglib_LTLIBRARIES = libdrizzle.la
+noinst_LTLIBRARIES = libsqlcommon.la
+libsqlcommon_la_SOURCES = pack.c my_time.c errmsg.c password.c
+
 libdrizzle_la_SOURCES = libdrizzle.c get_password.c \
                             client.c net_serv.c
 libdrizzle_la_LIBADD = ${sql_cmn_objects} ${sqlobjects} \
 			   ${top_builddir}/mysys/libmysyslt.la \
 			   ${top_builddir}/strings/libmystringslt.la \
 			   $(d_dbug) \
-			   ${top_builddir}/sql-common/libsqlcommon.la \
+			   libsqlcommon.la \
 			   ${top_builddir}/vio/libviolt.la 
 libdrizzle_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
 
@@ -48,8 +53,6 @@
 			-DUNDEF_THREADS_HACK
 
 LIBS =		@CLIENT_LIBS@ 
-AM_CPPFLAGS =	-I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys -I$(top_builddir)/sql-common
-
 noinst_HEADERS = client_settings.h
 
 CLEANFILES =		$(target_libadd) $(SHLIBOBJS) \

=== renamed file 'sql-common/errmsg.c' => 'libdrizzle/errmsg.c'
=== renamed file 'sql-common/my_time.c' => 'libdrizzle/my_time.c'
=== renamed file 'sql-common/pack.c' => 'libdrizzle/pack.c'
=== renamed file 'sql-common/password.c' => 'libdrizzle/password.c'
=== modified file 'server/Makefile.am'
--- server/Makefile.am	2008-07-09 16:20:31 +0000
+++ server/Makefile.am	2008-07-09 19:33:54 +0000
@@ -46,12 +46,12 @@
 noinst_LTLIBRARIES = 	libhandler.la
 
 SUPPORTING_LIBS =	$(top_builddir)/vio/libviolt.la \
+			$(top_builddir)/libdrizzle/libsqlcommon.la \
 			$(top_builddir)/mysys/libmysyslt.la \
 			$(d_dbug) \
 			$(top_builddir)/strings/libmystringslt.la 
 LDADD = $(SUPPORTING_LIBS) -lz -levent
-drizzled_LDADD =	$(top_builddir)/sql-common/libsqlcommon.la \
-			libhandler.la \
+drizzled_LDADD =	libhandler.la \
 			$(libevent_libs) \
 			@mysql_plugin_libs@ \
 			$(LDADD)  $(CXXLDFLAGS) @LIBDL@

